> ## Documentation Index
> Fetch the complete documentation index at: https://docs.ebury.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List eligible currencies (V2)

> Returns the currencies eligible for online beneficiary creation for the given bank country. Returns 404 if the country is not recognised, and an empty list if the country is recognised but every currency is blocked.



## OpenAPI

````yaml https://api.ebury.io/openapi.json get /v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies
openapi: 3.0.0
info:
  description: |
    Ebury API allows customers:
      to retrieve accounts, balances, beneficiaries, and transactions;
      to get buy/sell estimates and quotes, book trades and retrieve trade history;
      to allocate payments to a trade and beneficiary, and to submit payments in bulk;
      to download documents such as trade receipt, payment instruction and payment receipt;
      to manage the authorised persons on their account.
    The Metadata API allows applications to clarify some parts of the Ebury API
      that are impractical to express schematically.
  termsOfService: https://docs.ebury.io/#terms-of-use
  title: Ebury API
  version: '0.1'
servers:
  - url: https://{environment}.ebury.io
    variables:
      environment:
        default: api
        enum:
          - api
          - sandbox
security: []
paths:
  /v2/beneficiaries/eligibility/bank-countries/{bank_country}/currencies:
    parameters:
      - $ref: '#/components/parameters/BankCountry'
      - $ref: '#/components/parameters/Authorization'
    get:
      tags:
        - Beneficiaries V2
      summary: List eligible currencies (V2)
      description: >-
        Returns the currencies eligible for online beneficiary creation for the
        given bank country. Returns 404 if the country is not recognised, and an
        empty list if the country is recognised but every currency is blocked.
      operationId: beneficiaries_v2_eligibility_currencies_get
      responses:
        '200':
          $ref: '#/components/responses/BeneficiaryV2EligibleCurrencies'
        '400':
          $ref: '#/components/responses/ValidationError'
        '401':
          $ref: '#/components/responses/Unauthorized'
        '404':
          $ref: '#/components/responses/BankCountryNotFound'
        '500':
          $ref: '#/components/responses/IntegrationError'
        '502':
          $ref: '#/components/responses/IntegrationError'
components:
  parameters:
    BankCountry:
      description: The ISO 3166-1 alpha-2 code of the bank country to look up.
      in: path
      name: bank_country
      required: true
      schema:
        type: string
        minLength: 2
        maxLength: 2
    Authorization:
      description: The access token.
      in: header
      name: Authorization
      required: true
      schema:
        type: string
  responses:
    BeneficiaryV2EligibleCurrencies:
      description: >-
        The currencies eligible for online beneficiary creation for a given bank
        country.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/BeneficiaryV2EligibleCurrencies'
    ValidationError:
      description: >-
        Formatting, parameter or schema validation error. See error message for
        further details.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    Unauthorized:
      description: Access denied due to authentication failure.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
    BankCountryNotFound:
      description: Bank country not recognised.
    IntegrationError:
      description: Internal integration error.
      content:
        application/json:
          schema:
            $ref: '#/components/schemas/ErrorMessage'
  schemas:
    BeneficiaryV2EligibleCurrencies:
      description: >-
        The currencies eligible for online beneficiary creation for a given bank
        country.
      properties:
        currencies:
          description: The eligible currencies.
          items:
            $ref: '#/components/schemas/BeneficiaryV2EligibleCurrency'
          type: array
      required:
        - currencies
      type: object
    ErrorMessage:
      description: An error message.
      properties:
        code:
          type: string
          description: The code for the error.
        details:
          description: Error details
          type: string
        message:
          type: string
          description: A short description of the cause of the error.
      required:
        - code
        - message
        - details
      type: object
    BeneficiaryV2EligibleCurrency:
      description: >-
        A currency eligible for online beneficiary creation for a given bank
        country.
      properties:
        code:
          description: The ISO 4217 alpha-3 currency code.
          maxLength: 3
          minLength: 3
          type: string
        name:
          description: The full currency name.
          type: string
      required:
        - code
        - name
      type: object

````